Mandriva Linux Security Advisory : imlib2 (MDVSA-2010:127)

Critical Nessus Plugin ID 48189


The remote Mandriva Linux host is missing one or more security updates.


A vulnerability has been found and corrected in imlib2 :

imlib2 before 1.4.2 allows context-dependent attackers to have an unspecified impact via a crafted (1) ARGB, (2) BMP, (3) JPEG, (4) LBM, (5) PNM, (6) TGA, or (7) XPM file, related to several heap and stack based buffer overflows - partly due to integer overflows.

Packages for 2008.0 and 2009.0 are provided as of the Extended Maintenance Program. Please visit this link to learn more: 90

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: Critical

ID: 48189

File Name: mandriva_MDVSA-2010-127.nasl

Version: $Revision: 1.7 $

Type: local

Published: 2010/07/30

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:imlib2-data, p-cpe:/a:mandriva:linux:lib64imlib2-devel, p-cpe:/a:mandriva:linux:lib64imlib2_1, p-cpe:/a:mandriva:linux:lib64imlib2_1-filters, p-cpe:/a:mandriva:linux:lib64imlib2_1-loaders, p-cpe:/a:mandriva:linux:libimlib2-devel, p-cpe:/a:mandriva:linux:libimlib2_1, p-cpe:/a:mandriva:linux:libimlib2_1-filters, p-cpe:/a:mandriva:linux:libimlib2_1-loaders, cpe:/o:mandriva:linux:2008.0, cpe:/o:mandriva:linux:2009.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2010/07/02

Reference Information

CVE: CVE-2008-6079

MDVSA: 2010:127